Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSemantics
Class Message

    java.lang.Object
      jason.asSemantics.Message

All Implemented Interfaces:
  java.io.Serializable

    public class Message

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String[]` | `knownPerformatives`

Constructor Summary
`Message()`
`Message(Message m)`
`Message(java.lang.String ilf, java.lang.String s, java.lang.String r, java.lang.Object c)`
`Message(java.lang.String ilf, java.lang.String s, java.lang.String r, java.lang.Object c, java.lang.String id)`

Method Summary
`Message` | `clone()`
`java.lang.String` | `getIlForce()`
`java.lang.String` | `getInReplyTo()`
`java.lang.String` | `getMsgId()`
`java.lang.Object` | `getPropCont()`
`java.lang.String` | `getReceiver()`
`java.lang.String` | `getSender()`
`boolean` | `isAsk()`
`boolean` | `isKnownPerformative()`
`boolean` | `isTell()`
`boolean` | `isUnTell()`
`static Message` | `parseMsg(java.lang.String msg)` Creates a new message object based on a string that follows the format of the toString of Message class.
`void` | `setIlForce(java.lang.String ilf)`
`void` | `setInReplyTo(java.lang.String inReplyTo)`
`void` | `setMsgId(java.lang.String id)`
`void` | `setPropCont(java.lang.Object o)`
`void` | `setReceiver(java.lang.String agName)`
`void` | `setSender(java.lang.String agName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### knownPerformatives

    public static final java.lang.String[] knownPerformatives

Constructor Detail

### Message

    public Message()

### Message

    public Message(java.lang.String ilf,
                   java.lang.String s,
                   java.lang.String r,
                   java.lang.Object c)

### Message

    public Message(java.lang.String ilf,
                   java.lang.String s,
                   java.lang.String r,
                   java.lang.Object c,
                   java.lang.String id)

### Message

    public Message(Message m)

Method Detail

### getIlForce

    public java.lang.String getIlForce()

### setIlForce

    public void setIlForce(java.lang.String ilf)

### isAsk

    public boolean isAsk()

### isTell

    public boolean isTell()

### isUnTell

    public boolean isUnTell()

### isKnownPerformative

    public boolean isKnownPerformative()

### setPropCont

    public void setPropCont(java.lang.Object o)

### getPropCont

    public java.lang.Object getPropCont()

### getReceiver

    public java.lang.String getReceiver()

### setSender

    public void setSender(java.lang.String agName)

### getSender

    public java.lang.String getSender()

### setReceiver

    public void setReceiver(java.lang.String agName)

### getMsgId

    public java.lang.String getMsgId()

### setMsgId

    public void setMsgId(java.lang.String id)

### getInReplyTo

    public java.lang.String getInReplyTo()

### setInReplyTo

    public void setInReplyTo(java.lang.String inReplyTo)

### clone

    public Message clone()

  Overrides:
    `clone` in class `java.lang.Object`

### parseMsg

    public static Message parseMsg(java.lang.String msg)
                            throws jason.asSyntax.parser.ParseException

  Creates a new message object based on a string that follows the format of the toString of Message class.

  Parameters:
    `msg` - the string message
  Returns:
    the parsed Message
  Throws:
    `jason.asSyntax.parser.ParseException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD